> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# search entity

> Returns Screening of Risk and Compliance



## OpenAPI

````yaml PEPS post /searchEntity
openapi: 3.0.0
info:
  title: PEPS
  description: peps
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/peps
security: []
paths:
  /searchEntity:
    post:
      tags:
        - default
      summary: search entity
      description: Returns Screening of Risk and Compliance
      parameters:
        - name: X-token
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: authentication token from getAcessToken response
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScreeningRequestV1'
            examples:
              NameSearchExample:
                $ref: '#/components/examples/NameSearchExample'
              PersonNameExample:
                $ref: '#/components/examples/PersonNameExample'
              EntityNameExample:
                $ref: '#/components/examples/EntityNameExample'
              IDTypeSearchExample:
                $ref: '#/components/examples/IDTypeSearchExample'
          application/vnd.dowjones.dna.riskentities.v_1.1+json:
            schema:
              $ref: '#/components/schemas/ScreeningRequestV1'
            examples:
              NameSearchExample:
                $ref: '#/components/examples/NameSearchExample'
              PersonNameExample:
                $ref: '#/components/examples/PersonNameExample'
              EntityNameExample:
                $ref: '#/components/examples/EntityNameExample'
              IDTypeSearchExample:
                $ref: '#/components/examples/IDTypeSearchExample'
          application/vnd.dowjones.dna.riskentities.v_1.0+json:
            schema:
              $ref: '#/components/schemas/ScreeningRequest'
            examples:
              NameSearchExample:
                $ref: '#/components/examples/NameSearchExampleV0'
              PersonNameExample:
                $ref: '#/components/examples/PersonNameExampleV0'
              EntityNameExample:
                $ref: '#/components/examples/EntityNameExampleV0'
              IDTypeSearchExample:
                $ref: '#/components/examples/IDTypeSearchExampleV0'
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScreeningResponseV1'
            application/vnd.dowjones.dna.riskentities.v_1.1+json:
              schema:
                $ref: '#/components/schemas/ScreeningResponseV1'
            application/vnd.dowjones.dna.riskentities.v_1.0+json:
              schema:
                $ref: '#/components/schemas/ScreeningResponse'
        '400':
          description: Bad request
      security:
        - bearerAuth: []
        - default: []
components:
  schemas:
    ScreeningRequestV1:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DataV1'
    ScreeningRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
    ScreeningResponseV1:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DatumV1'
        meta:
          $ref: '#/components/schemas/Meta'
    ScreeningResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Datum'
        meta:
          $ref: '#/components/schemas/Meta'
    DataV1:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RequestAttributesV1'
    Data:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RequestAttributes'
    DatumV1:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          $ref: '#/components/schemas/AttributesResponseV1'
    Meta:
      type: object
      properties:
        score_time_ms:
          type: string
        total:
          type: string
        last:
          type: string
        count:
          type: string
        screening_context:
          type: string
        overall_time_ms:
          type: string
        search_time_ms:
          type: string
        first:
          type: string
    Datum:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          $ref: '#/components/schemas/AttributesResponse'
    RequestAttributesV1:
      type: object
      properties:
        filter_group_and:
          $ref: '#/components/schemas/FilterGroupAndV1'
        filter_group_or:
          $ref: '#/components/schemas/FilterGroupOr'
        paging:
          $ref: '#/components/schemas/Paging'
        screening_context:
          type: string
        sort:
          $ref: '#/components/schemas/SortOptions'
      description: Request's Attributes class
    RequestAttributes:
      type: object
      properties:
        filter_group_and:
          $ref: '#/components/schemas/FilterGroupAnd'
        filter_group_or:
          $ref: '#/components/schemas/FilterGroupOr'
        paging:
          $ref: '#/components/schemas/Paging'
        screening_context:
          type: string
        sort:
          $ref: '#/components/schemas/SortOptions'
      description: Request's Attributes class
    AttributesResponseV1:
      type: object
      properties:
        type:
          type: string
        primary_name:
          type: string
        title:
          type: string
        country_territory_code:
          type: string
        country_territory_name:
          type: string
        gender:
          type: string
        is_subsidiary:
          type: boolean
          default: false
        score:
          type: string
        matched_criteria:
          $ref: '#/components/schemas/MatchedCriteria'
        date_of_birth:
          type: array
          items:
            $ref: '#/components/schemas/Date'
        icon_hints:
          type: array
          items:
            type: string
        countries_territories:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/CountryResponse'
              - $ref: '#/components/schemas/CountryResponseIso'
    AttributesResponse:
      type: object
      properties:
        type:
          type: string
        primary_name:
          type: string
        title:
          type: string
        country_code:
          type: string
        country_name:
          type: string
        gender:
          type: string
        is_subsidiary:
          type: boolean
          default: false
        score:
          type: string
        matched_criteria:
          $ref: '#/components/schemas/MatchedCriteria'
        date_of_birth:
          type: array
          items:
            $ref: '#/components/schemas/Date'
        icon_hints:
          type: array
          items:
            type: string
        countries:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/CountryResponseIso'
              - $ref: '#/components/schemas/CountryResponse'
    FilterGroupAndV1:
      type: object
      properties:
        group_operator:
          type: string
          enum:
            - AND
        filters:
          $ref: '#/components/schemas/FiltersV1'
    FilterGroupOr:
      type: object
      properties:
        group_operator:
          type: string
          enum:
            - OR
        filters:
          $ref: '#/components/schemas/FiltersLists'
    Paging:
      type: object
      properties:
        offset:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
          example: 10
    SortOptions:
      type: string
      enum:
        - Name
        - Country
        - Title
        - Subsidiary
        - PercentMatch
    FilterGroupAnd:
      type: object
      properties:
        group_operator:
          type: string
          enum:
            - AND
        filters:
          $ref: '#/components/schemas/Filters'
    MatchedCriteria:
      type: object
      properties:
        date_of_birth:
          $ref: '#/components/schemas/Date'
        name:
          $ref: '#/components/schemas/MatchedNameVo'
        type:
          $ref: '#/components/schemas/MatchedType'
    Date:
      type: object
      properties:
        month:
          type: string
          example: '1'
        year:
          type: string
          example: '2020'
        day:
          type: string
          example: '1'
    CountryResponse:
      type: object
      properties:
        code:
          type: string
        type:
          type: string
    CountryResponseIso:
      type: object
      properties:
        iso_alpha2:
          type: string
        iso_alpha3:
          type: string
        code:
          type: string
        type:
          type: string
    FiltersV1:
      type: object
      properties:
        search_keyword:
          $ref: '#/components/schemas/SearchKeyword'
        country_territory:
          $ref: '#/components/schemas/CountryRequestV1'
        identification:
          $ref: '#/components/schemas/Identification'
        entity_name:
          $ref: '#/components/schemas/EntityName'
        date_of_birth:
          $ref: '#/components/schemas/DateOfBirth'
        person_name:
          $ref: '#/components/schemas/PersonName'
        record_types:
          type: array
          items:
            type: string
            enum:
              - Person
              - Entity
        content_set:
          type: array
          example:
            - Watchlist
            - Locations
            - StateOwnedCompanies
            - AdverseMedia
          items:
            type: string
            enum:
              - Watchlist
              - AdverseMedia
              - StateOwnedCompanies
              - HighRiskFactors
              - Locations
    FiltersLists:
      type: object
      properties:
        sanctions_list:
          $ref: '#/components/schemas/SanctionsList'
        content_category:
          $ref: '#/components/schemas/ContentCategory'
        other_official_list:
          $ref: '#/components/schemas/OtherOfficialList'
        other_exclusion_list:
          $ref: '#/components/schemas/OtherExclusionList'
        state_ownership:
          $ref: '#/components/schemas/StateOwnership'
        occupation_category:
          $ref: '#/components/schemas/OccupationCategory'
        hrf_category:
          $ref: '#/components/schemas/HrfCategory'
    Filters:
      type: object
      properties:
        search_keyword:
          $ref: '#/components/schemas/SearchKeyword'
        country:
          $ref: '#/components/schemas/CountryRequest'
        identification:
          $ref: '#/components/schemas/Identification'
        entity_name:
          $ref: '#/components/schemas/EntityName'
        date_of_birth:
          $ref: '#/components/schemas/DateOfBirth'
        person_name:
          $ref: '#/components/schemas/PersonName'
        record_types:
          type: array
          items:
            type: string
            enum:
              - Person
              - Entity
        content_set:
          type: array
          example:
            - Watchlist
            - Locations
            - StateOwnedCompanies
            - HighRiskFactors
            - AdverseMedia
          items:
            type: string
            enum:
              - Watchlist
              - AdverseMedia
              - StateOwnedCompanies
              - HighRiskFactors
              - Locations
    MatchedNameVo:
      type: object
      properties:
        name_type:
          type: string
        name:
          type: string
    MatchedType:
      type: object
      properties:
        is_structural_variation:
          type: boolean
          default: false
        is_non_linguistic_variation:
          type: boolean
          default: false
        type:
          type: string
        is_linguistic_variation:
          type: boolean
          default: false
    SearchKeyword:
      type: object
      properties:
        scope:
          type: array
          items:
            type: string
            enum:
              - Name
              - ProfileNotes
              - OccupationTitle
        type:
          type: string
          enum:
            - Precise
            - Near
            - Broad
        text:
          type: string
    CountryRequestV1:
      type: object
      properties:
        country_territory_types:
          $ref: '#/components/schemas/CountryTerritoryTypes'
        countries_territories:
          $ref: '#/components/schemas/Countries'
    Identification:
      type: object
      properties:
        number:
          type: string
        type:
          type: integer
          description: >-
            One of the identification types. Check the IDTYPE list on taxonomy
            for values
          format: int32
    EntityName:
      type: object
      properties:
        full_name:
          type: string
        search_type:
          type: string
          enum:
            - Precise
            - Near
            - Broad
    DateOfBirth:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateWithStrict'
        year_range:
          $ref: '#/components/schemas/YearRange'
        is_deceased_excluded:
          type: boolean
          default: false
    PersonName:
      type: object
      properties:
        last_name:
          type: string
        middle_name:
          type: string
        first_name:
          type: string
        search_type:
          type: string
          enum:
            - Precise
            - Near
            - Broad
    SanctionsList:
      type: object
      properties:
        codes:
          type: array
          example:
            - AE-CAE
            - AR-MOJDH
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from SanctionLists (SAN)
    ContentCategory:
      type: object
      properties:
        special_interest:
          $ref: '#/components/schemas/SpecialInterest'
        adverse_media:
          $ref: '#/components/schemas/AdverseMedia'
        location:
          $ref: '#/components/schemas/Location'
    OtherOfficialList:
      type: object
      properties:
        codes:
          type: array
          example:
            - ADB
            - AE-DFSA
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from OtherOfficialLists (OOL)
    OtherExclusionList:
      type: object
      properties:
        codes:
          type: array
          example:
            - AFDB
            - BR-CGU
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from OtherExclusionLists (OEL)
    StateOwnership:
      type: object
      properties:
        code:
          type: string
          example: '5'
        is_unknown_excluded:
          type: boolean
          default: false
        is_all_excluded:
          type: boolean
          default: false
      description: Filter to include code from StateOwnerships (SOC)
    OccupationCategory:
      type: object
      properties:
        codes:
          type: array
          example:
            - '18'
            - '6'
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        is_adsr_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from OccupationCategories list
    HrfCategory:
      type: object
      properties:
        codes:
          type: array
          example:
            - '1011'
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from HighRiskFactor list
    CountryRequest:
      type: object
      properties:
        country_types:
          $ref: '#/components/schemas/CountryTypes'
        countries:
          $ref: '#/components/schemas/Countries'
    CountryTerritoryTypes:
      type: object
      properties:
        country_territory_types:
          type: array
          example:
            - '3'
          items:
            type: string
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from CountryTerritoryType list
    Countries:
      type: object
      properties:
        codes:
          type: array
          example:
            - USA
            - GFR
          items:
            type: string
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        operator:
          type: string
          enum:
            - OR
      description: Filter to include or exclude codes from CountryTerritory list
    DateWithStrict:
      type: object
      properties:
        month:
          type: string
          example: '1'
        year:
          type: string
          example: '2020'
        is_strict_match:
          type: boolean
          default: false
        day:
          type: string
          example: '1'
    YearRange:
      type: object
      properties:
        from:
          type: string
          example: '1'
        to:
          type: string
          example: '2'
    LastReviewDate:
      type: object
      properties:
        from:
          $ref: '#/components/schemas/Date'
        to:
          $ref: '#/components/schemas/Date'
    Operator:
      type: string
      enum:
        - AND
        - OR
    SpecialInterest:
      type: object
      properties:
        codes:
          type: array
          example:
            - '1001'
            - '1002'
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from SpecialInterestCategories list
    AdverseMedia:
      type: object
      properties:
        codes:
          type: array
          example:
            - '33'
            - '34'
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from AdverseMediaCategories list
    Location:
      type: object
      properties:
        codes:
          type: array
          example:
            - '121'
          items:
            type: string
        last_review_date:
          $ref: '#/components/schemas/LastReviewDate'
        exclude_codes:
          type: array
          example: []
          items:
            type: string
        is_all_excluded:
          type: boolean
          default: false
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from Locations list
    CountryTypes:
      type: object
      properties:
        country_types:
          type: array
          items:
            type: string
        operator:
          $ref: '#/components/schemas/Operator'
      description: Filter to include or exclude codes from CountryType list
  examples:
    NameSearchExample:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                search_keyword:
                  scope:
                    - Name
                  type: Precise
                  text: keyword to search
                country_territory:
                  country_territory_types:
                    country_territory_types:
                      - '3'
                    operator: AND
                  countries_territories:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    PersonNameExample:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                person_name:
                  first_name: John
                  search_type: Broad
                country_territory:
                  country_territory_types:
                    country_territory_types:
                      - '3'
                    operator: AND
                  countries_territories:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    EntityNameExample:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                entity_name:
                  full_name: Acme
                  search_type: Broad
                country_territory:
                  country_territory_types:
                    country_territory_types:
                      - '3'
                    operator: AND
                  countries_territories:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    IDTypeSearchExample:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                identification:
                  number: '123456'
                  type: 1
                country_territory:
                  country_territory_types:
                    country_territory_types:
                      - '3'
                    operator: AND
                  countries_territories:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    NameSearchExampleV0:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                search_keyword:
                  scope:
                    - Name
                  type: Precise
                  text: keyword to search
                country:
                  country_types:
                    country_types:
                      - '3'
                    operator: AND
                  countries:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    PersonNameExampleV0:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                person_name:
                  first_name: John
                  search_type: Broad
                country:
                  country_types:
                    country_types:
                      - '3'
                    operator: AND
                  countries:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    EntityNameExampleV0:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                entity_name:
                  full_name: Acme
                  search_type: Broad
                country:
                  country_types:
                    country_types:
                      - '3'
                    operator: AND
                  countries:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Entity
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
    IDTypeSearchExampleV0:
      value:
        data:
          attributes:
            filter_group_and:
              group_operator: AND
              filters:
                identification:
                  number: '123456'
                  type: 1
                country:
                  country_types:
                    country_types:
                      - '3'
                    operator: AND
                  countries:
                    codes:
                      - USA
                      - GFR
                    exclude_codes: []
                    operator: OR
                date_of_birth:
                  date:
                    month: '1'
                    year: '2020'
                    is_strict_match: false
                    day: '1'
                  year_range:
                    from: '1'
                    to: '1'
                  is_deceased_excluded: false
                record_types:
                  - Person
                content_set:
                  - Watchlist
                  - Locations
                  - StateOwnedCompanies
                  - AdverseMedia
            filter_group_or:
              group_operator: OR
              filters:
                sanctions_list:
                  codes:
                    - AE-CAE
                    - AR-MOJDH
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                content_category:
                  special_interest:
                    codes:
                      - '1001'
                      - '1002'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  adverse_media:
                    codes:
                      - '33'
                      - '34'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                  location:
                    codes:
                      - '121'
                    last_review_date:
                      from:
                        month: '1'
                        year: '2020'
                        day: '1'
                      to:
                        month: '1'
                        year: '2020'
                        day: '1'
                    exclude_codes: []
                    is_all_excluded: false
                    operator: AND
                other_official_list:
                  codes:
                    - ADB
                    - AE-DFSA
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                other_exclusion_list:
                  codes:
                    - AFDB
                    - BR-CGU
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                state_ownership:
                  code: '5'
                  is_unknown_excluded: false
                  is_all_excluded: false
                occupation_category:
                  codes:
                    - '18'
                    - '6'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
                hrf_category:
                  codes:
                    - '1011'
                  last_review_date:
                    from:
                      month: '1'
                      year: '2020'
                      day: '1'
                    to:
                      month: '1'
                      year: '2020'
                      day: '1'
                  exclude_codes: []
                  is_all_excluded: false
                  operator: AND
            paging:
              offset: 0
              limit: 10
            sort: PercentMatch
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````